Subject: bug#61188: 30.0.50; color-lighten-name seems not to work

From: Bernd Rellermeyer <[email-masked]>
Date: Tue, 21 Feb 2023 14:08:29 +0100

I am not happy with the new implementation of color-lighten-hsl. I think the old implementation was correc. In my opinion there is a misunderstanding about the argument percent. The value L itself is a percentage, ranging from 0.0 to 1.0, and the argument percent is a percentage point to add to the percentage L (divided by 100). E.g. if L is 0.5 and percent is 10, the result should be 0.6 and not 0.5 * 1.1 = 0.55. In the case of the black color, the result should be 0.0 + 0.1 = 0.1. That is because percent is a percentage point and not a percentage.

I would suggest to switch back to the old implementation.